Bug 999975 - PRD35 - [RFE] Accept vlan devices identified by any name
PRD35 - [RFE] Accept vlan devices identified by any name
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.4.0
All Linux
medium Severity medium
: ---
: 3.5.0
Assigned To: Alona Kaplan
Meni Yakove
network
: FutureFeature
: 1198005 (view as bug list)
Depends On:
Blocks: 1091863 rhev3.5beta 1156165
  Show dependency treegraph
 
Reported: 2013-08-22 09:32 EDT by Amador Pahim
Modified: 2016-02-10 14:47 EST (History)
17 users (show)

See Also:
Fixed In Version: vt1.3
Doc Type: Enhancement
Doc Text:
Previously if a vlan device had a non-standard name (the standard is- "dev.VLANID"), the engine could not handle and display it. This feature adds the functionality to display such vlan devices. p.s- those devices are just displayed in host->network interfaces sub tab. Setup networks operations cannot be performed on them.
Story Points: ---
Clone Of:
: 1091863 (view as bug list)
Environment:
Last Closed: 2015-02-11 12:54:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nyechiel: Triaged+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 26605 master MERGED engine: adding base_interface column to vds_interface table Never
oVirt gerrit 26606 master MERGED engine: Read "vlanid" and "interface" from VLAN information Never
oVirt gerrit 26607 master MERGED engine: remove unnecessary parameters from VBOB Never
oVirt gerrit 26608 master MERGED engine: Adjust NetworkUtils to accept any vlan device name- phase 1 Never
oVirt gerrit 26609 master MERGED engine: Adjust MigrateVmCommand to accept any vlan device name Never
oVirt gerrit 26610 master MERGED engine: RemoveNetworksByLabelParametersBuilder accepts any vlan device name Never
oVirt gerrit 26611 master MERGED engine: Adjust DetachNetworkFromVdsInterfaceCommand to accept any vlan name Never
oVirt gerrit 26612 master MERGED engine: Adjust GetAllChildVlanInterfacesQuery to accept any vlan name Never
oVirt gerrit 26613 master MERGED engine: Adjust GetAllSiblingVlanInterfacesQuery to accept any vlan name Never
oVirt gerrit 26614 master MERGED engine: Adjust LabelNicCommand to accept any vlan device name Never
oVirt gerrit 26615 master MERGED engine: Adjust RemoveBondCommand to accept any vlan device name Never
oVirt gerrit 26616 master MERGED engine: Adjust SetupNetworks to accept any vlan device name Never
oVirt gerrit 26617 master MERGED engine: Adjust UpdateNetworkToVdsInterfaceCommand to accept any vlan device name Never
oVirt gerrit 26618 master MERGED engine: Adjust VdsUpdateRunTimeInfo to accept any vlan device name Never
oVirt gerrit 27150 master MERGED engine: Adjust GetVlanParentQuery to accept any vlan device name Never
oVirt gerrit 27151 master MERGED engine: Adjust NetworkMonitoringHelper to accept any vlan device name Never
oVirt gerrit 27152 master MERGED engine: refactoring NetworkUtils.getVlanDeviceName Never
oVirt gerrit 27153 master MERGED engine: Adjust NetworkUtils to accept any vlan device name - phase 2 Never
oVirt gerrit 27154 master MERGED webadmin: Accept vlan devices identified by any name Never
oVirt gerrit 27496 master MERGED restapi: Arbitrary vlan device name Never

  None (edit)
Description Amador Pahim 2013-08-22 09:32:03 EDT
Currently ovirt-engine can not handle vlans with names not in standard "dev.VLANID" (e.g. eth0.10-fcoe, em1.myvlan10, vlan20, ...).

If host has a vlan already created with an alternative name, host can not get activated and engine shows the error:

2013-08-22 10:21:03,315 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.GetCapabilitiesVDSCommand] (DefaultQuartzScheduler_Worker-29) Failed in GetCapabilitiesVDS method, for vds: vdsm-devel; host: 192.168.122.158
2013-08-22 10:21:03,316 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.GetCapabilitiesVDSCommand] (DefaultQuartzScheduler_Worker-29) Command GetCapabilitiesVDS execution failed. Exception: NumberFormatException: For input string: "myvlan40"

engine is trying to deduct vlan id from vlan name. After split the name, engine is hoping for "myvlan40" as vlan ID, which is clearly not true.

Commit "8b2bbe6 [2/3] Add "vlanid" to VLAN information" introduced in vdsm the ability to report the vlan id as an independent field, regardless the vlan name. Now engine must be fixed to get vlan id from this new field instead of deducting it from vlan name.

Steps to Reproduce:
- Change Host to maintenance mode.
- Add a vlan with alternative name to the Host:
 # ip link add dev eth1.myvlan10 link eth1 name eth1.myvlan10 type vlan id 10
- Activate the Host.
Comment 1 lpeer 2013-08-27 01:55:29 EDT
A fix for this bug should be on the VDSM side. Reporting of the VLAN tag instead of the vlan device name.
Comment 2 Dan Kenigsberg 2013-08-27 16:38:42 EDT
(In reply to lpeer from comment #1)
> A fix for this bug should be on the VDSM side. Reporting of the VLAN tag
> instead of the vlan device name.

Livnat, I believe that the vdsm side is already done upstream:
http://gerrit.ovirt.org/18180
http://gerrit.ovirt.org/18181
http://gerrit.ovirt.org/18182
http://gerrit.ovirt.org/18449

and that we are left with collecting this information in Engine. Amador, haven't you started an Engine-side patch for this?
Comment 3 Amador Pahim 2013-08-27 16:58:35 EDT
(In reply to Dan Kenigsberg from comment #2)
> (In reply to lpeer from comment #1)
> > A fix for this bug should be on the VDSM side. Reporting of the VLAN tag
> > instead of the vlan device name.
> 
> Livnat, I believe that the vdsm side is already done upstream:
> http://gerrit.ovirt.org/18180
> http://gerrit.ovirt.org/18181
> http://gerrit.ovirt.org/18182
> http://gerrit.ovirt.org/18449
> 

Yes, upstream vdsm is reporting vlanid like this:
...
        vlans = {'eth0.10': {'addr': '',
                             'cfg': {},
                             'iface': 'eth0',
                             'ipv6addrs': [],
                             'mtu': '1500',
                             'netmask': '',
                             'vlanid': 10},   <----
...
> and that we are left with collecting this information in Engine. Amador,
> haven't you started an Engine-side patch for this?

No, I have not.
Comment 6 errata-xmlrpc 2015-02-11 12:54:27 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html
Comment 7 Pavel Zhukov 2015-03-05 03:26:55 EST
*** Bug 1198005 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.